Transient (Java Platform SE 8 )
Keywords: java.beans.Transient class
Date: 2023-01-18

java.beans

## Annotation Type Transient

-     @Target(value=METHOD)
       @Retention(value=RUNTIME)
      public @interface Transient

  Indicates that an attribute called "transient" should be declared with the given `value` when the `Introspector` constructs a `PropertyDescriptor` or `EventSetDescriptor` classes associated with the annotated code element. A `true` value for the "transient" attribute indicates to encoders derived from `Encoder` that this feature should be ignored.

  The `Transient` annotation may be be used in any of the methods that are involved in a `FeatureDescriptor` subclass to identify the transient feature in the annotated class and its subclasses. Normally, the method that starts with "get" is the best place to put the annotation and it is this declaration that takes precedence in the case of multiple annotations being defined for the same feature.

  To declare a feature non-transient in a class whose superclass declares it transient, use `@Transient(false)`. In all cases, the `Introspector` decides if a feature is transient by referring to the annotation on the most specific superclass. If no `Transient` annotation is present in any superclass the feature is not transient.

  Since:
    1.7

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `value` Returns whether or not the `Introspector` should construct artifacts for the annotated method.

- - ### Element Detail

    - #### value

          public abstract boolean value

      Returns whether or not the `Introspector` should construct artifacts for the annotated method.
      Returns:
        whether or not the `Introspector` should construct artifacts for the annotated method
      Default:
        true

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.